package cmm.service.impl;

import java.util.List;

import org.springframework.dao.DataAccessException;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.TransactionException;

import cmm.service.CmmBbsVO;
import cmm.service.CmmCmsContentsVO;
import egovframework.com.cmm.service.impl.EgovComAbstractDAO;

/**
 * 게시판 관리에 대한 데이터 접근 클래스를 정의한다.
 * @Class Name : CmmBbsDAO.java
 * @author ecplaza 
 * @since 2018-04-16
 * @version 1.0
 */
@Repository("cmmBbsDAO")
public class CmmBbsDAO extends EgovComAbstractDAO {
    @SuppressWarnings("deprecation")
    public int selectCmmBbsListTotCnt(CmmBbsVO cmmBbsVO) throws DataAccessException{
        //return (Integer)getSqlMapClientTemplate().queryForObject("cmmBbsDAO.selectCmmBbsListTotCnt", cmmBbsVO);
        return 0;  // DDDDDDDDDDDdddd 임시 처리 (2021.08.13)
    }
    @SuppressWarnings("unchecked")
    public List<CmmBbsVO> selectCmmBbsList(CmmBbsVO cmmBbsVO) throws DataAccessException{
        return (List<CmmBbsVO>)list("cmmBbsDAO.selectCmmBbsList", cmmBbsVO);
    }
    @SuppressWarnings("unchecked")
    public List<CmmBbsVO> selectCmmBbsTopList(CmmBbsVO cmmBbsVO) throws DataAccessException{
        return (List<CmmBbsVO>)list("cmmBbsDAO.selectCmmBbsTopList", cmmBbsVO);
    }
    @SuppressWarnings("unchecked")
    public List<CmmBbsVO> selectCmmBbsCnList(CmmBbsVO cmmBbsVO) throws DataAccessException{
        return (List<CmmBbsVO>)list("cmmBbsDAO.selectCmmBbsCnList", cmmBbsVO);
    }
    @SuppressWarnings("unchecked")
    public List<CmmBbsVO> selectCmmBbsMainList(CmmBbsVO cmmBbsVO) throws DataAccessException{
        return (List<CmmBbsVO>)list("cmmBbsDAO.selectCmmBbsMainList", cmmBbsVO);
    }
	public CmmBbsVO selectCmmBbsDetail(CmmBbsVO cmmBbsVO) throws DataAccessException{
		//return (CmmBbsVO)select("cmmBbsDAO.selectCmmBbsDetail", cmmBbsVO);
		return null;  // DDDDDDDDDDDdddd 임시 처리 (2021.08.13)
	}
    @SuppressWarnings("unchecked")
    public List<CmmBbsVO> selectPrevNextCmmBbsDetailList(CmmBbsVO cmmBbsVO) throws DataAccessException{
        return (List<CmmBbsVO>)list("cmmBbsDAO.selectPrevNextCmmBbsDetailList", cmmBbsVO);
    }
	public void insertCmmBbs(CmmBbsVO cmmBbsVO) throws TransactionException{
        insert("cmmBbsDAO.insertCmmBbs", cmmBbsVO);
	}
	public void updateCmmBbs(CmmBbsVO cmmBbsVO) throws TransactionException{
		update("cmmBbsDAO.updateCmmBbs", cmmBbsVO);
	}
	public void deleteCmmBbs(CmmBbsVO cmmBbsVO) throws TransactionException{
		update("cmmBbsDAO.deleteCmmBbs", cmmBbsVO);
	}
	public void updateCmmBbsReadCnt(CmmBbsVO cmmBbsVO) throws TransactionException{
		update("cmmBbsDAO.updateCmmBbsReadCnt", cmmBbsVO);
	}
	public void updateLocalCultureRecommend(CmmBbsVO cmmBbsVO) throws TransactionException{
		update("cmmBbsDAO.updateLocalCultureRecommend",cmmBbsVO);
	}
}
